Bug 95077 - Remove editor related options from the Advanced options dialog
Remove editor related options from the Advanced options dialog
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: PLAN, UI, UMBRELLA
Depends on: 90403 95092 95100
Blocks: 90522 95988 134703
  Show dependency treegraph
 
Reported: 2007-02-09 13:46 UTC by Josef Pavlicek
Modified: 2008-06-16 14:58 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Pavlicek 2007-02-09 13:46:21 UTC
Hi,
according to the ISSUE http://www.netbeans.org/issues/show_bug.cgi?id=90522
I started to consolidate the option settings for these modules:

org.netbeans.core               
org.netbeans.core.ui            
org.netbeans.core.windows        
org.netbeans.modules.autoupdate
org.netbeans.modules.db
org.netbeans.modules.db.sqleditor
org.netbeans.modules.derby
org.netbeans.modules.diff
org.netbeans.modules.editor
org.netbeans.modules.html.editor
org.netbeans.modules.java.editor
org.netbeans.modules.editor.options
org.netbeans.modules.form
org.netbeans.modules.i18n
org.netbeans.modules.j2ee.sun.appsrv81
org.netbeans.modules.junit
org.netbeans.modules.pdf
org.netbeans.modules.diff
org.netbeans.modules.tasklist.docscan
org.netbeans.modules.suggestions_framework
org.netbeans.modules.web.core
org.netbeans.modules.xml.core
org.netbeans.modules.xml.text
org.openide.text

The main idea is to remove all Advanced Options settings which we have in
NetBeans now. The necessary options should be placed into the new panel placed
in the Miscellaneous. For this is necessary  to prepare some short description
of new  options  (in the ideal case to do UI Specification). I will be
consolidate UI design for you together. Please, let me know if you are able to
do it and try to tell me the time frame in which we can suppose be ready with UI
spec.

Thanks for cooperation
Josef Pavlicek
Software eXperience Desing Team
Comment 1 Vitezslav Stejskal 2007-03-02 03:31:08 UTC
I've written up a little summary of what editor related settings we have and
what I think we should do in terms of migrating them to the normal
Tools-Options. Can you please review this? Thank you.
Comment 2 Vitezslav Stejskal 2007-03-02 03:31:55 UTC
... and here is the link:
http://editor.netbeans.org/doc/killing-advanced-options.html
Comment 3 Josef Pavlicek 2007-03-02 07:39:45 UTC
Great! Be sure I will help you. 
Thank you for cooperation
Josef  
Comment 4 Vitezslav Stejskal 2007-03-26 06:05:14 UTC
I've updated the document and added mockups for the panels in the Editor
category. Also it looks like we won't need a new panel for print settings. Can
we have another review, please - perhaps via email or this issue?


RCS file: /cvs/editor/www/doc/images/tools-options-editor-misc.jpg,v
done
Checking in images/tools-options-editor-misc.jpg;
/cvs/editor/www/doc/images/tools-options-editor-misc.jpg,v  <-- 
tools-options-editor-misc.jpg
initial revision: 1.1
done
RCS file: /cvs/editor/www/doc/images/tools-options-editor-general.jpg,v
done
Checking in images/tools-options-editor-general.jpg;
/cvs/editor/www/doc/images/tools-options-editor-general.jpg,v  <-- 
tools-options-editor-general.jpg
initial revision: 1.1
done
Checking in killing-advanced-options.html;
/cvs/editor/www/doc/killing-advanced-options.html,v  <-- 
killing-advanced-options.html
new revision: 1.3; previous revision: 1.2
done
Comment 5 Jiri Prox 2008-04-11 00:45:01 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 6 jrojcek 2008-05-15 09:07:01 UTC
I'm trying to clarify in the Summary field what's the goal of this issue.
Comment 7 Vitezslav Stejskal 2008-05-19 09:52:46 UTC
When issue #90403 is fixed the whole 'Editor Settings' node (and all its subnodes) will be part of a deprecated autoload
module and separated from the editor infrastructure. Modules will have a chance to remove their BaseOptions and
Settings.Initializer subclasses and remove their dependency on this deprecated autoload. When all modules do that the
autoload will not be loaded and the 'Editor Settings' node will disappear.

On the other hand we might want to be a little more aggressive and even remove the 'Editor Settings' node from the
autoload module. That way even if there are modules using the old settings infrastructure the node will not be shown. Ideas?
Comment 8 Vitezslav Stejskal 2008-06-16 14:58:08 UTC
See also issue #123346. There are no editor related settings in Tools-Options. The work on the new UI spec for
Tools-Options is being monitored in issue #137318.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo